<?
date_default_timezone_set("America/Lima");


set_time_limit (3600 );


define('SF_ROOT_DIR', "/home/sinergiaperu/public_html/sinergia");
//define('SF_ROOT_DIR', "C://wamp/www/junadia");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');

use_helper('UtilFunctions');
////////////////////////////////////////////////////////////////////////////////////////
//clases incluidas del sistema

$con = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}



if(!$Fecha) $Fecha=  date('Y-m-d');

$o_crcovid19FN = new CrCovid19paramFN();
$a_o_crcovid19FN = $o_crcovid19FN->select();
if(is_array($a_o_crcovid19FN)){
	$v_crcovid19FN = $a_o_crcovid19FN[0];
	$fechaParo		= $v_crcovid19FN->getFechapara();//"2020-03-17";
	$fechaReinicio	= $v_crcovid19FN->getFechareinicio(); //"2020-04-27";
}else{
	exit("Debe de ");
}

$sql = "SELECT IdSucursal
		FROM `cr_sucursal`
		WHERE 	1=1
				and Eliminado = '0' ";
	
$result = mysql_query($sql,$con);

$num_rows = mysql_num_rows($result);
    

if($num_rows > 0){
  while ($o_valor = mysql_fetch_object($result)) {
  	$IdSucursal = $o_valor->IdSucursal;
  	$con = Conexion::getConexion();
	
	$sql = "SELECT cr_sucursal_mercado.idmercado
			FROM `cr_sucursal_mercado`
			LEFT JOIN cr_mercado ON cr_sucursal_mercado.idmercado = cr_mercado.idmercado
			WHERE 	1=1
					and IdSucursal = '".$IdSucursal."' and eliminado='0'";
		
	$resultI = mysql_db_query(Conexion::getNameDb(), $sql, $con);

	$num_rowsI = mysql_num_rows($resultI);
		

	if($num_rowsI > 0){
	  while ($o_valorI = mysql_fetch_array($resultI)) {
		$idmercado = $o_valorI["idmercado"];
		grabar_reprogramacioncovid19($IdSucursal,$idmercado,$fechaParo,$fechaReinicio);
	  }
	}
  	
  }
}





exit;

